Exception subclass:#Warning
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions'
!

!Warning class methodsFor:'documentation'!

documentation
"
    Warning ist an abstract superclass of all warning exceptions in the system

    [author:]
        Stefan Vogel

    [see also:]
        Signal
"

!

examples
"
                                                            [exBegin]
    Warning raiseRequest
                                                            [exEnd]
"

! !

!Warning class methodsFor:'initialization'!

initialize

    NotifierString := 'Warning'.

    "
     self initialize
    "

    "Created: / 23.7.1999 / 15:34:27 / stefan"
! !

!Warning methodsFor:'default actions'!

action
    "Default action for warnings: open a warn box with errorString"

    self proceedWith:(Dialog warn:self errorString)


    "
      Warning raiseRequest
    "

    "Modified: / 23.7.1999 / 15:35:27 / stefan"
! !

!Warning class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/Warning.st,v 1.1 1999-07-23 17:53:36 stefan Exp $'
! !
Warning initialize!
